• Русский
  • Description
    IngressGateway is the Schema for the ingressgateways API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    IngressGatewaySpec defines the desired state of IngressGateway

    statusobject

    IngressGatewayStatus defines the observed state of IngressGateway

    .spec

    Description
    IngressGatewaySpec defines the desired state of IngressGateway
    Type
    object
    Required
    port
    PropertyTypeDescription
    corsPolicyobject

    CORS configuration.

    gatewayobject

    GatewayDeploy

    gatewayGroupsRefarray

    The associated API group.

    hoststring

    Access mode.

    httpRouteobject

    HTTP route config.

    patchesarray

    List of patches to apply to root virtualservice.

    portobject

    Port info.

    portsobject

    Port details.

    serviceRoutesarray

    The associated service route.

    tcpRouteobject

    TCP route config

    tcpRoutesarray

    The associated TCP service route.

    tlsDomainstring

    TLSDomain which come out of TLS secret

    .spec.corsPolicy

    Description
    CORS configuration.
    Type
    object
    Required
    configTypeenabled
    PropertyTypeDescription
    allowCredentialsboolean

    Whether to allow the browser to read the contents of the response.

    allowHeadersarray

    The list of request headers that the server allows for cross-origin requests.

    allowMethodsarray

    The list of cross-origin request methods allowed by the server.

    allowOriginsarray

    The server allows cross-origin requests for the list of domains.

    configTypestring

    CORS type. The value range is simple or advance, which means "basic configuration" and "advanced configuration" respectively.

    enabledboolean

    Whether to enable CORS.

    exposeHeadersarray

    A list of headers that the server allows browsers with cross-origin requests to access.

    maxAgestring

    Cross-origin preflight request cache time.

    .spec.corsPolicy.allowHeaders

    Description
    The list of request headers that the server allows for cross-origin requests.
    Type
    array

    .spec.corsPolicy.allowHeaders[]

    Type
    string

    .spec.corsPolicy.allowMethods

    Description
    The list of cross-origin request methods allowed by the server.
    Type
    array

    .spec.corsPolicy.allowMethods[]

    Type
    string

    .spec.corsPolicy.allowOrigins

    Description
    The server allows cross-origin requests for the list of domains.
    Type
    array

    .spec.corsPolicy.allowOrigins[]

    Type
    object
    PropertyTypeDescription
    typestring

    Match method.

    valuestring

    Value.

    .spec.corsPolicy.exposeHeaders

    Description
    A list of headers that the server allows browsers with cross-origin requests to access.
    Type
    array

    .spec.corsPolicy.exposeHeaders[]

    Type
    string

    .spec.gateway

    Description
    GatewayDeploy
    Type
    object
    Required
    namenamespace
    PropertyTypeDescription
    namestring

    The name of gateway.

    namespacestring

    The namespace of gateway.

    .spec.gatewayGroupsRef

    Description
    The associated API group.
    Type
    array

    .spec.gatewayGroupsRef[]

    Type
    object
    Required
    apiPrefixPathapiPrefixRulename
    PropertyTypeDescription
    apiPrefixPathstring

    Access path.

    apiPrefixRulestring

    Access rule.

    corsPolicyobject

    CORS configuration.

    namestring

    Group name.

    .spec.gatewayGroupsRef[].corsPolicy

    Description
    CORS configuration.
    Type
    object
    Required
    configTypeenabled
    PropertyTypeDescription
    allowCredentialsboolean

    Whether to allow the browser to read the contents of the response.

    allowHeadersarray

    The list of request headers that the server allows for cross-origin requests.

    allowMethodsarray

    The list of cross-origin request methods allowed by the server.

    allowOriginsarray

    The server allows cross-origin requests for the list of domains.

    configTypestring

    CORS type. The value range is simple or advance, which means "basic configuration" and "advanced configuration" respectively.

    enabledboolean

    Whether to enable CORS.

    exposeHeadersarray

    A list of headers that the server allows browsers with cross-origin requests to access.

    maxAgestring

    Cross-origin preflight request cache time.

    .spec.gatewayGroupsRef[].corsPolicy.allowHeaders

    Description
    The list of request headers that the server allows for cross-origin requests.
    Type
    array

    .spec.gatewayGroupsRef[].corsPolicy.allowHeaders[]

    Type
    string

    .spec.gatewayGroupsRef[].corsPolicy.allowMethods

    Description
    The list of cross-origin request methods allowed by the server.
    Type
    array

    .spec.gatewayGroupsRef[].corsPolicy.allowMethods[]

    Type
    string

    .spec.gatewayGroupsRef[].corsPolicy.allowOrigins

    Description
    The server allows cross-origin requests for the list of domains.
    Type
    array

    .spec.gatewayGroupsRef[].corsPolicy.allowOrigins[]

    Type
    object
    PropertyTypeDescription
    typestring

    Match method.

    valuestring

    Value.

    .spec.gatewayGroupsRef[].corsPolicy.exposeHeaders

    Description
    A list of headers that the server allows browsers with cross-origin requests to access.
    Type
    array

    .spec.gatewayGroupsRef[].corsPolicy.exposeHeaders[]

    Type
    string

    .spec.httpRoute

    Description
    HTTP route config.
    Type
    object
    Required
    matchTypeuri
    PropertyTypeDescription
    corsPolicyobject

    CORS configuration.

    headersarray

    Match headers.

    matchTypestring

    Match method.

    namestring

    Service name.

    namespacestring

    Service namespace.

    portinteger

    Service port.

    redirectobject

    Redirect configuration, new attribute in release3.14.

    rewritestring

    Request rewrite.

    uristring

    Request path.

    .spec.httpRoute.corsPolicy

    Description
    CORS configuration.
    Type
    object
    Required
    configTypeenabled
    PropertyTypeDescription
    allowCredentialsboolean

    Whether to allow the browser to read the contents of the response.

    allowHeadersarray

    The list of request headers that the server allows for cross-origin requests.

    allowMethodsarray

    The list of cross-origin request methods allowed by the server.

    allowOriginsarray

    The server allows cross-origin requests for the list of domains.

    configTypestring

    CORS type. The value range is simple or advance, which means "basic configuration" and "advanced configuration" respectively.

    enabledboolean

    Whether to enable CORS.

    exposeHeadersarray

    A list of headers that the server allows browsers with cross-origin requests to access.

    maxAgestring

    Cross-origin preflight request cache time.

    .spec.httpRoute.corsPolicy.allowHeaders

    Description
    The list of request headers that the server allows for cross-origin requests.
    Type
    array

    .spec.httpRoute.corsPolicy.allowHeaders[]

    Type
    string

    .spec.httpRoute.corsPolicy.allowMethods

    Description
    The list of cross-origin request methods allowed by the server.
    Type
    array

    .spec.httpRoute.corsPolicy.allowMethods[]

    Type
    string

    .spec.httpRoute.corsPolicy.allowOrigins

    Description
    The server allows cross-origin requests for the list of domains.
    Type
    array

    .spec.httpRoute.corsPolicy.allowOrigins[]

    Type
    object
    PropertyTypeDescription
    typestring

    Match method.

    valuestring

    Value.

    .spec.httpRoute.corsPolicy.exposeHeaders

    Description
    A list of headers that the server allows browsers with cross-origin requests to access.
    Type
    array

    .spec.httpRoute.corsPolicy.exposeHeaders[]

    Type
    string

    .spec.httpRoute.headers

    Description
    Match headers.
    Type
    array

    .spec.httpRoute.headers[]

    Type
    object
    PropertyTypeDescription
    keystring

    Key.

    typestring

    Match method.

    valuestring

    Value.

    .spec.httpRoute.redirect

    Description
    Redirect configuration, new attribute in release3.14.
    Type
    object
    PropertyTypeDescription
    httpsRedirectboolean
    locationstring
    redirectCodeinteger

    .spec.patches

    Description
    List of patches to apply to root virtualservice.
    Type
    array

    .spec.patches[]

    Type
    object
    PropertyTypeDescription
    pathstring

    Path of the form a.[key1:value1].b.[:value2] Where [key1:value1] is a selector for a key-value pair to identify a list element and [:value] is a value selector to identify a list element in a leaf list. All path intermediate nodes must exist.

    value

    Value to add, delete or replace. For add, the path should be a new leaf. For delete, value should be unset. For replace, path should reference an existing node. All values are strings but are converted into appropriate type based on schema.

    .spec.port

    Description
    Port info.
    Type
    object
    Required
    name
    PropertyTypeDescription
    namestring

    Port name, in the formatted of "protocol-port".

    .spec.ports

    Description
    Port details.
    Type
    object
    Required
    group
    PropertyTypeDescription
    detailarray

    Port details.

    groupstring

    Group name.

    .spec.ports.detail

    Description
    Port details.
    Type
    array

    .spec.ports.detail[]

    Type
    object
    Required
    portprotocoltargetPort
    PropertyTypeDescription
    nodePortinteger

    Node port.

    portinteger

    Service port.

    protocolstring

    Protocal type.

    targetPortinteger

    Container port.

    .spec.serviceRoutes

    Description
    The associated service route.
    Type
    array

    .spec.serviceRoutes[]

    Type
    object
    Required
    matchTypemsNamemsNamespacemsPortpublishuri
    PropertyTypeDescription
    corsPolicyobject

    CORS configuration.

    headersarray

    Header.

    matchTypestring

    Match method.

    msNamestring

    Service name.

    msNamespacestring

    Namespace where the service is located.

    msPortinteger

    Service port.

    publishboolean

    Whether to publish.

    rewritestring

    Request rewrite.

    uristring

    Request path.

    .spec.serviceRoutes[].corsPolicy

    Description
    CORS configuration.
    Type
    object
    Required
    configTypeenabled
    PropertyTypeDescription
    allowCredentialsboolean

    Whether to allow the browser to read the contents of the response.

    allowHeadersarray

    The list of request headers that the server allows for cross-origin requests.

    allowMethodsarray

    The list of cross-origin request methods allowed by the server.

    allowOriginsarray

    The server allows cross-origin requests for the list of domains.

    configTypestring

    CORS type. The value range is simple or advance, which means "basic configuration" and "advanced configuration" respectively.

    enabledboolean

    Whether to enable CORS.

    exposeHeadersarray

    A list of headers that the server allows browsers with cross-origin requests to access.

    maxAgestring

    Cross-origin preflight request cache time.

    .spec.serviceRoutes[].corsPolicy.allowHeaders

    Description
    The list of request headers that the server allows for cross-origin requests.
    Type
    array

    .spec.serviceRoutes[].corsPolicy.allowHeaders[]

    Type
    string

    .spec.serviceRoutes[].corsPolicy.allowMethods

    Description
    The list of cross-origin request methods allowed by the server.
    Type
    array

    .spec.serviceRoutes[].corsPolicy.allowMethods[]

    Type
    string

    .spec.serviceRoutes[].corsPolicy.allowOrigins

    Description
    The server allows cross-origin requests for the list of domains.
    Type
    array

    .spec.serviceRoutes[].corsPolicy.allowOrigins[]

    Type
    object
    PropertyTypeDescription
    typestring

    Match method.

    valuestring

    Value.

    .spec.serviceRoutes[].corsPolicy.exposeHeaders

    Description
    A list of headers that the server allows browsers with cross-origin requests to access.
    Type
    array

    .spec.serviceRoutes[].corsPolicy.exposeHeaders[]

    Type
    string

    .spec.serviceRoutes[].headers

    Description
    Header.
    Type
    array

    .spec.serviceRoutes[].headers[]

    Type
    object
    PropertyTypeDescription
    keystring

    Key.

    typestring

    Match method.

    valuestring

    Value.

    .spec.tcpRoute

    Description
    TCP route config
    Type
    object
    Required
    namenamespaceport
    PropertyTypeDescription
    namestring

    Service name.

    namespacestring

    Namespace where the service is located.

    portinteger

    Service port.

    .spec.tcpRoutes

    Description
    The associated TCP service route.
    Type
    array

    .spec.tcpRoutes[]

    Type
    object
    Required
    gwPortmsNamemsNamespacemsPort
    PropertyTypeDescription
    gwPortinteger

    Gateway port.

    msNamestring

    Service name.

    msNamespacestring

    Namespace where the service is located.

    msPortinteger

    Service port.

    .status

    Description
    IngressGatewayStatus defines the observed state of IngressGateway
    Type
    object
    PropertyTypeDescription
    upgradeobject

    The status of upgration

    .status.upgrade

    Description
    The status of upgration
    Type
    object
    PropertyTypeDescription
    failReasonstring

    The reasone of failed upgration

    phasestring

    Phase of upgration

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/ingressgateways
      • DELETE: delete collection of IngressGateway
      • GET: list objects of kind IngressGateway
      • POST: create a new IngressGateway
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/ingressgateways/{name}
      • DELETE: delete the specified IngressGateway
      • GET: read the specified IngressGateway
      • PATCH: partially update the specified IngressGateway
      • PUT: replace the specified IngressGateway
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/ingressgateways/{name}/status
      • GET: read status of the specified IngressGateway
      • PATCH: partially update status of the specified IngressGateway
      • PUT: replace status of the specified IngressGateway

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/ingressgateways

    HTTP method
    DELETE
    Description
    delete collection of IngressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind IngressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGatewayList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new IngressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyIngressGateway schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    201 - CreatedIngressGateway schema
    202 - AcceptedIngressGateway schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/ingressgateways/{name}

    HTTP method
    DELETE
    Description
    delete the specified IngressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified IngressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified IngressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified IngressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyIngressGateway schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    201 - CreatedIngressGateway schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/ingressgateways/{name}/status

    HTTP method
    GET
    Description
    read status of the specified IngressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified IngressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified IngressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyIngressGateway schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKIngressGateway schema
    201 - CreatedIngressGateway schema
    401 - UnauthorizedEmpty